#
# spec file for package kde-gtk-config5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           kde-gtk-config5
Version:        5.10.0
Release:        0
Summary:        KCM Module to Configure GTK2 and GTK3 Applications Appearance Under KDE
License:        LGPL-3.0+ and GPL-3.0+
Group:          System/GUI/KDE
Url:            http://projects.kde.org/kde-gtk-config
Source1:        kde_gtk_config.suse.sh
Source2:        gtkrc-2.0-kde4.template
Source3:        gtk3-settings.ini-kde4.template
Source:         kde-gtk-config-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= 0.0.9
BuildRequires:  kf5-filesystem
BuildRequires:  xz
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(Qt5Test) >= 5.4.0
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(x11)
%if %{with lang}
Recommends:     %{name}-lang
%endif
Suggests:       gtk2-theme-oxygen
Suggests:       gtk3-theme-oxygen
%if 0%{?suse_version} > 1314 && "%{suse_version}" != "1320"
Provides:       kde-gtk-config = %{version}
Obsoletes:      kde-gtk-config < %{version}
%else
Conflicts:      kde-gtk-config
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
kde-gtk-config is a KCM module to configure GTK2 and GTK3 applications
appearance under KDE.

Among its many features, it lets you:
 - Choose which theme is used for GTK2 and GTK3 applications.
 - Tweak some GTK applications behaviour.
 - Select what icon theme to use in GTK applications.
 - Select GTK applications default fonts.
 - Easily browse and install new GTK2 and GTK3 themes.

%lang_package

%prep
%setup -q -n kde-gtk-config-%{version}

%build
  %cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
  %make_jobs

%install
  %kf5_makeinstall -C build
%if %{with lang}
  %kf5_find_lang
%endif

install -Dpm 0755 %{SOURCE1} %{buildroot}%{_kf5_configdir}/plasma-workspace/env/kde_gtk_config.suse.sh
install -Dpm 0644 %{SOURCE2} %{buildroot}%{_kf5_sharedir}/%{name}/gtkrc-2.0-kde4.template
install -Dpm 0644 %{SOURCE3} %{buildroot}%{_kf5_sharedir}/%{name}/gtk3-settings.ini-kde4.template

%files
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_configdir}/plasma-workspace/env
%dir %{_kf5_configdir}/plasma-workspace
%config %{_kf5_configdir}/plasma-workspace/env/kde_gtk_config.suse.sh
%{_kf5_sharedir}/%{name}/
%config %{_kf5_configdir}/cgcicon.knsrc
%config %{_kf5_configdir}/cgctheme.knsrc
%config %{_kf5_configdir}/cgcgtk3.knsrc
%{_kf5_servicesdir}/
%{_kf5_plugindir}/
%{_kf5_libdir}/libexec/
%{_kf5_sharedir}/kcm-gtk-module/
%dir %{_kf5_sharedir}/icons/hicolor/8x8
%dir %{_kf5_sharedir}/icons/hicolor/8x8/apps
%{_kf5_sharedir}/icons/hicolor/*/*/*.*

%if %{with lang}
%files lang -f %{name}.lang
%endif

%changelog
